CTDB_DIAGNOSTICS(1)

NAME
ctdb_diagnostics - dump diagnostic information about CTDB/Samba installation

SYNOPSIS

ctdb_diagnostics [OPTIONS] ...

DESCRIPTION

ctdb_diagnostics is used to dump diagnostic information about a clustered Samba installation. This includes configuration files, output of relevant commands and logs. This information can be used to check the correctness of the configuration and to diagnose problems.

OPTIONS

-n <nodes>
    Comma separated list of nodes to operate on

-c
    Ignore comment lines (starting with '#') in file comparisons

-w
    Ignore whitespace in file comparisons

--no-ads
    Do not use commands that assume an Active Directory Server

SEE ALSO

ctdb(1), ctdb(7), https://ctdb.samba.org/

AUTHOR

This documentation was written by Martijn van Brummelen

COPYRIGHT
Copyright © 2015 Martijn van Brummelen

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, see http://www.gnu.org/licenses.